summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlec Warner <antarus@gentoo.org>2007-01-09 02:12:00 +0000
committerAlec Warner <antarus@gentoo.org>2007-01-09 02:12:00 +0000
commit2b62d7d7fd9864008ac43080b8896fdb5e57c599 (patch)
tree45496a4b5df97b5cbd3e1c4d088a244919352ac6 /bin
parente4e99ce2dd03120833202a672edb274cf51e881d (diff)
downloadportage-2b62d7d7fd9864008ac43080b8896fdb5e57c599.tar.gz
portage-2b62d7d7fd9864008ac43080b8896fdb5e57c599.tar.bz2
portage-2b62d7d7fd9864008ac43080b8896fdb5e57c599.zip
Okies this works locally for me now (and Zac)
svn path=/main/trunk/; revision=5492
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index c1b9bebca..85db5f782 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -45,7 +45,7 @@ qa_call() {
if [ "$*" != "depend" ] && [ "$*" != "clean" ] && [ "$*" != "nofetch" ]; then
if [ -f "${T}/environment" ]; then
-source "${T}/environment" &>/dev/null
+ qa_source "${T}/environment" &>/dev/null
fi
fi
@@ -126,7 +126,7 @@ for dir in ${PROFILE_PATHS}; do
# Must unset it so that it doesn't mess up assumptions in the RCs.
unset IFS
if [ -f "${dir}/profile.bashrc" ]; then
-source "${dir}/profile.bashrc"
+ qa_source "${dir}/profile.bashrc"
fi
done
restore_IFS
@@ -1260,7 +1260,7 @@ inherit() {
#turn on glob expansion
set +f
-source "$location" || die "died sourcing $location in inherit()"
+ qa_source "$location" || die "died sourcing $location in inherit()"
#turn off glob expansion
set -f